{% extends "blog/layout.html.twig"%}{#:: chemin twig depuis le bundle jusqu'a views#}

{% block body_layout %}
    {% for message in app.session.flashbag.get('success') %}
        <p class="alert alert-success">{{ message }}</p>
    {% endfor %}
    <article>
        <h1>{{article.titre}} #{{article.id}}</h1>{# ici : 2 écritures possible en twig pour un tableau; de préférence , utilisez la syntaxe objet {{article.titre}} qui fonctionne aussi pour les tableaux, tandis que la syntaxe tableau {{article['id']}} n'est valable seulement pour les tableaux#}

        {% if article.image is not null %}{# équivalent à : if article.image = si l'objet image de article n'est pas null #}
            <img src="{{article.image.url}}" alt="{{article.image.alt}}" class="pull-left"/>
        {% endif %}

        <p>
            {{article.contenu|title|raw}}{# le filtre |title met les 1ere lettre de chaque mot en majuscule ; avec le filtre twig |Raw (à afficher en dernier) le texte s'affiche brut sans utiliser htmlspecialchar par défaut /// getUrl de l'objet image#}
        </p>
        <footer>
            <strong>
                {{article.date|date('d-m-Y')}}{# le filtre twig |date permet de convertir l'objet Datetime en date sous forme string#}
            </strong>
        </footer>

        <button type="button" class="btn btn-outline-success"><a href="{{path('update_blog',{id: article.id})}}">Modifier</a></button>
        <button type="button" class="btn btn-outline-danger"><a href="{{path('delete_blog',{id: article.id})}}">Supprimer</a></button>
    </article>
    <br>



    <ul>
        {% for commentaire in commentaires %}
            <li>
                <strong>Commentaire {{commentaire.id}} - {{commentaire.date|date('d-m-Y')}}</strong>
                <br><p>
                    {{commentaire.contenu}}
                </p>

            </li>

        {% endfor %}
    </ul>
    {% for tag in article.tags %}<!--ici la liaison manytomany a créer une table de jonction article_tags qui a créé une colonne tags dans la table article que l'on appelle directement avec article.tags-->
        <button class="btn btn-outline-primary btn-sm"><a href="{{path('tag_blog',{id: tag.id})}}">{{tag.titre}}</a></button>



    {% endfor %}


{% endblock %}
{% block title %}{{parent()}} - {{article.titre}}
{% endblock %}{# ici surcharge du block title : recupere le contenu du bloc parent, l'injecter ici et ensuite affiche les 2 titres et remplacer le block title dans base.html.twig #}